Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing
Class NoSuchIdentifierException

    Object
      Throwable
          Exception
              FactoryException
                  NoSuchIdentifierException

All Implemented Interfaces:
  Serializable

    public class NoSuchIdentifierException

extends FactoryException

Thrown when a math transform as been requested with an unknow operation method identifier.

Since:
  GeoAPI 1.0
See Also:
  `MathTransformFactory.createParameterizedTransform(org.opengis.parameter.ParameterValueGroup)`, Serialized Form

Constructor Summary
`NoSuchIdentifierException(String message, String identifier)` Constructs an exception with the specified detail message and classification name.

Method Summary
`String` | `getIdentifierCode()` Returns the identifier code.

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchIdentifierException

    public NoSuchIdentifierException(String message,
                                     String identifier)

  Constructs an exception with the specified detail message and classification name.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `identifier` - identifier code.

Method Detail

### getIdentifierCode

    public String getIdentifierCode()

  Returns the identifier code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.